Bug 17956 - Provide additional functionality in the onboarding tool through configuring z-targets, and providing information on setting up SIP and LDAP services
Summary: Provide additional functionality in the onboarding tool through configuring z...
Status: Signed Off
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 17.05
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17855
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-22 02:36 UTC by Alex Buckley
Modified: 2017-10-29 20:46 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17956 - Added a new template onboardingstep6.tt (which is integrated with the final screen of the onboarding tool) for the user to learn about services SIP/LDAP and to click the link to visit the admin screen for configuring z-targets (6.91 KB, patch)
2017-02-05 05:18 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Added in a retrieval and count of all z3950targets from the database. This value is handed to the template, and is used to determine whether or not to display the z-target configuration link in onboardingstep6.tt (4.06 KB, patch)
2017-02-05 05:18 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Added more information about SIP, LDAP and Z-targets to the onboardingstep6. Working 'Finish' button in the onboardingstep5.tt file. (14.06 KB, patch)
2017-02-05 05:19 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Added further LDAP configuration information. (13.98 KB, patch)
2017-02-05 05:19 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Added new onboarding tool template named onboardingstep6.tt (13.11 KB, patch)
2017-02-05 11:25 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Working Finish button in onboardingstep6.tt (963 bytes, patch)
2017-02-05 11:41 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - [follow up] SIP -> SIP2, adding an ordered list to LDAP config (7.96 KB, patch)
2017-02-07 22:54 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 17956 - Added new onboarding tool template named onboardingstep6.tt to allow the users to learn about how to set up SIP, LDAP and z-targets (13.13 KB, patch)
2017-02-08 00:26 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Added an LDAP config. Replaced SIP with SIP2 (32.49 KB, patch)
2017-02-08 00:26 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Fixed the indentation of onboardingstep6.tt. (26.69 KB, patch)
2017-02-08 01:50 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Fixed the indentation of onboardingstep6.tt. (26.87 KB, patch)
2017-04-11 19:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17956 - Additional koha service information for end of onboarding tool1 (36.37 KB, patch)
2017-06-25 14:22 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Additional koha service information for end of onboarding tool1 (36.96 KB, patch)
2017-08-03 05:49 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Additional koha service information for end of onboarding tool (36.96 KB, patch)
2017-08-03 05:51 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17956 - Additional koha service information for end of onboarding tool (37.01 KB, patch)
2017-10-29 20:46 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2017-01-22 02:36:57 UTC
This bug depends on bug 17855 because this bug adds additional functionality to the onboarding tool. The additional features are:

1. A tickbox to check if the user is using SIP, LDAP. If this tickbox is selected then information on how to set up these services is displayed.

2. A z-target configuration form (which is displayed if the user did not install sample z-targets in the web installer).
Comment 1 Alex Buckley 2017-02-05 05:18:34 UTC
Created attachment 59903 [details] [review]
Bug 17956 - Added a new template onboardingstep6.tt (which is integrated with the final screen of the onboarding tool) for the user to learn about services SIP/LDAP and to click the link to visit the admin screen for configuring z-targets
Comment 2 Alex Buckley 2017-02-05 05:18:53 UTC
Created attachment 59904 [details] [review]
Bug 17956 - Added in a retrieval and count of all z3950targets from the database. This value is handed to the template, and is used to determine whether or not to display the z-target configuration link in onboardingstep6.tt
Comment 3 Alex Buckley 2017-02-05 05:19:18 UTC
Created attachment 59905 [details] [review]
Bug 17956 - Added more information about SIP, LDAP and Z-targets to the onboardingstep6. Working 'Finish' button in the onboardingstep5.tt file.
Comment 4 Alex Buckley 2017-02-05 05:19:50 UTC
Created attachment 59906 [details] [review]
Bug 17956 - Added further LDAP configuration information.

Tidied up the formatting of the onboardingstep6.tt

Checked all links work as intented
Comment 5 Alex Buckley 2017-02-05 11:25:03 UTC
Created attachment 59907 [details] [review]
Bug 17956 - Added new onboarding tool template named onboardingstep6.tt

This template contains information about LDAP and SIP and how to set
them up with Koha.
In addition to configuring z-targets

Test plan:
1. Apply bug 17855

2. Drop and recreate your Koha database

3. Restart memcached

4. Go through the web installer and onboarding tool (up to the second
'Create circulation rule' screen

5. Click 'Learn more' button

6. The onboardingstep6.tt screen will appear. Click on LDAP radiobutton
and click 'Submit' and further instructions on installing LDAP will
appear.

7. Click browsers back button and do step 6 for SIP

8. Click the z-target button and login using the patron administrator
account you created with the onboarding tool and the 'New Z39.50 Server'
screen will appear
Comment 6 Alex Buckley 2017-02-05 11:41:12 UTC
Created attachment 59908 [details] [review]
Bug 17956 - Working Finish button in onboardingstep6.tt
Comment 7 M. Tompsett 2017-02-06 05:17:18 UTC
Comment on attachment 59907 [details] [review]
Bug 17956 - Added new onboarding tool template named onboardingstep6.tt

Review of attachment 59907 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/onboarding/onboardingstep6.tt
@@ +22,5 @@
> +            <input type="hidden" name="step" value="6"/>
> +            <h1 align="left"> Does your institution use SIP, or LDAP? </h1>
> +            <div>
> +                <input type="radio" name="service" value="LDAP"> LDAP <br>
> +                <input type="radio" name="service" value="SIP"> SIP  <br>

Perhaps you actually want &nbsp; instead of the space before the LDAP and SIP?
I was thinking perhaps some sort of grouping?
https://www.w3.org/WAI/tutorials/forms/grouping/#radio-buttons

@@ +26,5 @@
> +                <input type="radio" name="service" value="SIP"> SIP  <br>
> +            </div>
> +            <input type="submit" class="action" value="Submit">
> +        </form>
> +[% END %]

Where is the closing div for id="checkbox"?
Comment 8 Liz Rea 2017-02-07 22:54:25 UTC
Created attachment 59993 [details] [review]
Bug 17956 - [follow up] SIP -> SIP2, adding an ordered list to LDAP config
Comment 9 Alex Buckley 2017-02-08 00:26:32 UTC
Created attachment 59995 [details] [review]
Bug 17956 - Added new onboarding tool template named onboardingstep6.tt to allow the users to learn about how to set up SIP, LDAP and z-targets

Test plan:
1. Apply bug 17855

2. Drop and recreate your Koha database

3. Restart memcached

4. Go through the web installer and onboarding tool (up to the second
'Create circulation rule' screen

5. Click 'Learn more' button

6. The onboardingstep6.tt screen will appear. Click on LDAP radiobutton
and click 'Submit' and further instructions on installing LDAP will
appear.

7. Click browsers back button and do step 6 for SIP

8. Click the z-target button and login using the patron administrator
account you created with the onboarding tool and the 'New Z39.50 Server'
screen will appear
Comment 10 Alex Buckley 2017-02-08 00:26:59 UTC
Created attachment 59996 [details] [review]
Bug 17956 - Added an LDAP config. Replaced SIP with SIP2
Comment 11 Alex Buckley 2017-02-08 01:50:55 UTC
Created attachment 60000 [details] [review]
Bug 17956 - Fixed the indentation of onboardingstep6.tt.

Ensured SIP2 was written in the joint SIP and LDAP information screen
Comment 12 Marc Véron 2017-04-11 19:25:37 UTC
Created attachment 62061 [details] [review]
Bug 17956 - Fixed the indentation of onboardingstep6.tt.

Ensured SIP2 was written in the joint SIP and LDAP information screen

Followed test plan from comment #9, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 13 Jonathan Druart 2017-04-19 12:22:47 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/onboarding/onboardingstep5.tt
CONFLICT (content): Merge conflict in installer/onboarding.pl

I guess you will need to adapt this code to apply cleanly (and follow the same structure) on top of the last patches of bug 17855.
Comment 14 Alex Buckley 2017-06-25 14:22:36 UTC
Created attachment 64614 [details] [review]
Bug 17956 - Additional koha service information for end of onboarding tool1

This template contains information about LDAP and SIP and how to set
them up with Koha.
In addition to configuring z-targets

Test plan:
1. Apply patch

2. Drop and recreate your Koha database

3. Restart memcached

4. Go through the web installer and onboarding tool (on the final screen
in the onboarding tool click 'Learn more about Koha'

5. The onboardingstep6.tt screen will appear. Click on LDAP
radiobutton and click 'Submit' and further instructions on installing LDAP
will appear.

6. Click 'Back' and the screen in step 5 will be displayed

7. Click the 'SIP' radiobutton and click 'Submit; and further
instructions on setting up SIP will appear

8. Click 'Back'

9. Click both 'LDAP' and 'SIP' and notice that both the LDAP and SIP
information is displayed

10. Click 'Back' and click 'Configure z-targets in Koha' and notice
how the staff interface login page appears.

11. Enter the administrator account credentials you used to create an
account in the onboarding tool
Comment 15 Alex Buckley 2017-06-25 14:23:53 UTC
I have merged the three patches that would not successfully apply into a single patch which has the new styling of the Koha installer and onboarding tool.
Comment 16 Alex Buckley 2017-08-03 05:49:23 UTC
Created attachment 65447 [details] [review]
Bug 17956 - Additional koha service information for end of onboarding tool1

This template contains information about LDAP and SIP and how to set
them up with Koha.
In addition to configuring z-targets

Test plan:
1. Drop and recreate your Koha database

2. Restart memcached

3. Go through the web installer and onboarding tool and notice after
creating the circulation rule the next screen provides a 'Start using
Koha' button which when clicked prompts you to enter the administrator
account credentials you used to create an account in the onboarding tool

4. Apply patch

5. Repeat steps 1, 2

6. Go through the web installer and onboarding tool (on the final screen
in the onboarding tool click on the new 'Learn more about Koha' button)

7. The onboardingstep6.tt screen will appear. Click on LDAP
radiobutton and click 'Submit' and further instructions on installing LDAP
will appear.

8. Click 'Back' and the screen in step 5 will be displayed

9. Click the 'SIP' radiobutton and click 'Submit; and further
instructions on setting up SIP will appear

10. Click 'Back'

11. Click both 'LDAP' and 'SIP' and notice that both the LDAP and SIP
information is displayed

12. Click 'Back' and click 'Configure z-targets in Koha' and notice
how the staff interface login page appears.

13. Repeat steps 1,2 and 6

14. Click the 'Start using Koha' button

15. Login prompt will appear. Enter the administrator account credentials you used to create an
account in the onboarding tool

Sponsored-By: Catalyst IT
Comment 17 Alex Buckley 2017-08-03 05:51:23 UTC
Created attachment 65448 [details] [review]
Bug 17956 - Additional koha service information for end of onboarding tool

This template contains information about LDAP and SIP and how to set
them up with Koha.
In addition to configuring z-targets

Test plan:
1. Drop and recreate your Koha database

2. Restart memcached

3. Go through the web installer and onboarding tool and notice after
creating the circulation rule the next screen provides a 'Start using
Koha' button which when clicked prompts you to enter the administrator
account credentials you used to create an account in the onboarding tool

4. Apply patch

5. Repeat steps 1, 2

6. Go through the web installer and onboarding tool (on the final screen
in the onboarding tool click on the new 'Learn more about Koha' button)

7. The onboardingstep6.tt screen will appear. Click on LDAP
radiobutton and click 'Submit' and further instructions on installing LDAP
will appear.

8. Click 'Back' and the screen in step 5 will be displayed

9. Click the 'SIP' radiobutton and click 'Submit; and further
instructions on setting up SIP will appear

10. Click 'Back'

11. Click both 'LDAP' and 'SIP' and notice that both the LDAP and SIP
information is displayed

12. Click 'Back' and click 'Configure z-targets in Koha' and notice
how the staff interface login page appears.

13. Repeat steps 1,2 and 6

14. Click the 'Start using Koha' button

15. Login prompt will appear. Enter the administrator account credentials you used to create an
account in the onboarding tool

Sponsored-By: Catalyst IT
Comment 18 Josef Moravec 2017-10-29 20:46:25 UTC
Created attachment 68813 [details] [review]
Bug 17956 - Additional koha service information for end of onboarding tool

This template contains information about LDAP and SIP and how to set
them up with Koha.
In addition to configuring z-targets

Test plan:
1. Drop and recreate your Koha database

2. Restart memcached

3. Go through the web installer and onboarding tool and notice after
creating the circulation rule the next screen provides a 'Start using
Koha' button which when clicked prompts you to enter the administrator
account credentials you used to create an account in the onboarding tool

4. Apply patch

5. Repeat steps 1, 2

6. Go through the web installer and onboarding tool (on the final screen
in the onboarding tool click on the new 'Learn more about Koha' button)

7. The onboardingstep6.tt screen will appear. Click on LDAP
radiobutton and click 'Submit' and further instructions on installing LDAP
will appear.

8. Click 'Back' and the screen in step 5 will be displayed

9. Click the 'SIP' radiobutton and click 'Submit; and further
instructions on setting up SIP will appear

10. Click 'Back'

11. Click both 'LDAP' and 'SIP' and notice that both the LDAP and SIP
information is displayed

12. Click 'Back' and click 'Configure z-targets in Koha' and notice
how the staff interface login page appears.

13. Repeat steps 1,2 and 6

14. Click the 'Start using Koha' button

15. Login prompt will appear. Enter the administrator account credentials you used to create an
account in the onboarding tool

Sponsored-By: Catalyst IT

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>